package cn.map.szmap.dao;

import cn.base.dao.BaseSqlMapDAO;
import com.ibatis.sqlmap.client.SqlMapClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

@Repository("szMapStatisDao")
public class SzMapStatisDao extends BaseSqlMapDAO {
    @Autowired
    private SqlMapClient sqlMapClient;

    public List<Map> query_machineStatusData(Map map)throws SQLException {
        return this.queryForPage("query_machineStatusData",map);
    }
    public Integer count_machineStatusData(Map map)throws SQLException {
        return (Integer)this.queryForObject("count_machineStatusData",map);
    }
    public List<Map> query_videoStatusData(Map map)throws SQLException {
        return this.queryForPage("query_videoStatusData",map);
    }
    public Integer count_videoStatusData(Map map)throws SQLException {
        return (Integer)this.queryForObject("count_videoStatusData",map);
    }
    public List<Map> query_xhdStatusData(Map map)throws SQLException {
        return this.queryForPage("query_xhdStatusData",map);
    }
    public Integer count_xhdStatusData(Map map)throws SQLException {
        return (Integer)this.queryForObject("count_xhdStatusData",map);
    }
    public List<Map> query_roadStatusData(Map map)throws SQLException {
        return this.queryForPage("query_roadStatusData",map);
    }
    public Integer count_roadStatusData(Map map)throws SQLException {
        return (Integer)this.queryForObject("count_roadStatusData",map);
    }
    public List<Map> query_jzwxxStatusData(Map map)throws SQLException {
        return this.queryForPage("query_jzwxxStatusData",map);
    }

    public Integer count_jzwxxStatusData(Map map)throws SQLException {
        return (Integer)this.queryForObject("count_jzwxxStatusData",map);
    }
    public List<Map> query_bzStatusData(Map map)throws SQLException {
        return this.queryForPage("query_bzStatusData",map);
    }

    public Integer count_bzStatusData(Map map)throws SQLException {
        return (Integer)this.queryForObject("count_bzStatusData",map);
    }
    public List<Map> query_bxStatusData(Map map)throws SQLException {
        return this.queryForPage("query_bxStatusData",map);
    }

    public Integer count_bxStatusData(Map map)throws SQLException {
        return (Integer)this.queryForObject("count_bxStatusData",map);
    }
    public List<Map> query_hlStatusData(Map map)throws SQLException {
        return this.queryForPage("query_hlStatusData",map);
    }
    public Integer count_hlStatusData(Map map)throws SQLException {
        return (Integer)this.queryForObject("count_hlStatusData",map);
    }
    public List<Map> query_ydpStatusData(Map map)throws SQLException {
        return this.queryForPage("query_ydpStatusData",map);
    }
    public Integer count_ydpStatusData(Map map)throws SQLException {
        return (Integer)this.queryForObject("count_ydpStatusData",map);
    }

    public List<Map> query_machineStatusStatis(Map map)throws SQLException {
        return (List<Map>)this.queryForList("query_machineStatusStatis",map);
    }

    public  List<Map> query_videoStatusStatis(Map map)throws SQLException {
        return (List<Map>) this.queryForList("query_videoStatusStatis",map);
    }

    public List<Map> query_xhdStatusStatis(Map map)throws SQLException {
        return (List<Map>) this.queryForList("query_xhdStatusStatis",map);
    }

    public  List<Map> query_roadStatusStatis(Map map)throws SQLException {
        return (List<Map>) this.queryForList("query_roadStatusStatis",map);
    }

    public List<Map> query_jzwxxStatusStatis(Map map)throws SQLException {
        return (List<Map>) this.queryForList("query_jzwxxStatusStatis",map);
    }


    public List<Map> query_bzStatusStatis(Map map)throws SQLException {
        return (List<Map>) this.queryForList("query_bzStatusStatis",map);
    }


    public List<Map> query_bxStatusStatis(Map map)throws SQLException {
        return (List<Map>) this.queryForObject("query_bxStatusStatis",map);
    }


    public List<Map> query_hlStatusStatis(Map map)throws SQLException {
        return (List<Map>) this.queryForList("query_hlStatusStatis",map);
    }

    public List<Map> query_ydpStatusStatis(Map map)throws SQLException {
        return (List<Map>) this.queryForList("query_ydpStatusStatis",map);
    }



}
